<?php
class Content extends MY_Model {
    protected $_table_name = 'content';
    protected $_primary_key = 'id';
    protected $_primary_filter = 'intval';
    protected $_order_by = 'id';
    protected $_rules = array();
    protected $_timestamps = false;   

	    public function getGalleryCaptions(){

	    	$query=$this->db->select('uploads.caption')
	    	->from('uploads')
	    	->join('content_types','content_types.id=uploads.contentTypeId')
	    	->where('content_types.content_type','Gallery')
	    	->where('uploads.status','active')
	    	->group_by('caption')
	    	->distinct()
	    	->get()->result();
	    	return $query;


	    }

	    public function getGalleryImages(){

	    	$query=$this->db->select('uploads.id,uploads.thumb_path,uploads.path,caption,description')
	    				->from('uploads')
	    				->join('content_types','content_types.id=uploads.contentTypeId')
	    				->where('content_types.content_type','Gallery')
	    				->where('uploads.status','active')
	    				->distinct()
	    				->get()->result();
	    	return $query;


	    }
}