<div ng-app="adminApp" ng-controller="categoryController" id="categoryController" ng-init="clearForm()">
    <div class="row" >
        <div class="col-lg-12">
            <h1 class="page-header">Category</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Form
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form role="form" id="formcategory">
                                <div class="form-group">
                                    <label>Category</label>
                                    <input type="text" ng-model="category" name="category" class="form-control">
                                </div>
                                <div class="form-group">
                                   
                                    <input type="checkbox" value="1" ng-model="bgchangable" name="bgchangable" class="form-group"> <label>Background Changable</label>
                                </div>
                               <div class="pull-right">
                                    <button type="submit" ng-click="save()" class="btn btn-success">Save</button>                                
                                </div>
                              
                            </form>
                        </div>                       
                    </div>
                    <!-- /.row (nested) -->
                </div>
                <!-- /.panel-body -->
            </div>
            <!-- /.panel -->
        </div>
        <!-- /.col-lg-12 -->
    </div>


    <!--================= table view start here ===================-->
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Category</th>
                <th scope="col">Background</th>
                <th scope="col">Edit</th>
                <th scope="col">Delete</th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="category in categories">
                <th scope="row">{{$index+1}}</th>
                <td>{{category.category}}</td>
                <td><p ng-if="category.bgchangable>0"> Yes</p>
                    <p ng-if="category.bgchangable<=0"> No</p>
                </td>
                <!--Edit-->                               
                <td><i style="color: #0b8fca;font-size: 20px;" class="fa fa-pencil-square" aria-hidden="true" ng-click="openModal(category.id)"></i></td>
                <!--delete-->                               
                <td><i style="color: #ca0b0b;font-size: 20px;" class="fa fa-trash-o" aria-hidden="true" ng-click="confirmationMsg(category.id)"></i></td>
                <!--===============-->
            </tr>
        </tbody>
    </table>
    <!--================== table view end =========================-->


    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header poup-head-color shadow">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="popup-close-btn" aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-center modal-head-title" id="myModalLabel">Category details</h4>
                </div>
                <div class="modal-body shadow">
                    <!--========= modal body start ===========-->
                    <div class="row modal-body-row">
                         <div class="panel panel-default">
                <div class="panel-heading">
                    Form
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form role="form" id="formcategoryEdit">
                                <div class="form-group">
                                    <label>Category</label>
                                    <input type="text" ng-model="category" name="category" class="form-control" value="{{category}}">
                                </div>
                                <div class="form-group">
                                   
                                    <input type="checkbox" ng-model="bgchangable" name="bgchangable" class="form-group" ng-checked="bgchangable==1" value="{{bgchangable}}"> <label>Background Changable</label>
                                </div>
                               <div class="pull-right">
                                    <button type="submit" ng-click="save()" class="btn btn-success">Save</button>                                
                                </div>
                              
                            </form>
                        </div>                       
                    </div>
                    <!-- /.row (nested) -->
                </div>
                <!-- /.panel-body -->
            </div>
                       
                    </div>
                    <!--======== modal body end ============-->
                </div>
                <div class="modal-footer  modal-footer-color shadow">
                    <button type="button" class="btn btn-save" ng-click="save()">Save</button>
                    <button type="button" class="btn btn-close" data-dismiss="modal">Close</button>

                </div>
            </div>
        </div>
    </div>
</div>
<!-- Custom angular  -->
</div>
<script src="<?php echo base_url('assets/js/angular/controller/categoryController.js'); ?>"></script> 

