/* 
 * Copyright (C) Hawks Solutions  - All Rights Reserved 
 * 
 * Unauthorized copying of this file, via any medium is strictly prohibited 
 * 
 * Proprietary and confidential 
 * 
 * Written by Anuraj <anurajpr2266@gmail.com>, September 2017  
 */

/*
 * LoginController 
 */

loginApp.controller('loginController', function ($scope, $http, $timeout, $q) {

//    var temp_dashboard = angular.element('#data-dashboard').val();
//    var data_dashboard = JSON.parse(temp_dashboard);

    angular.extend($scope, {
//        dashboarddata: data_dashboard,  
        button_clicked_flag: false,
        isAValidUser: function () {

            if ($scope.button_clicked_flag == false) {
                if ($scope.username != null && $scope.password != null) {
                    $scope.button_clicked_flag = true;
                    $scope.password = sha1($scope.password);
                    showLoader();
                    $timeout(function () {
                        var form = angular.element('#loginForm');
                        var data_save = form.serialize();
                        console.log(data_save);
                        $http({
                            method: 'POST',
                            url: baseUrl + 'login/ajax',
                            data: data_save + '&action=authLogin',
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded',
                                'X-Requested-With': 'XMLHttpRequest'
                            }
                        }).then(function successCallback(response) {
                            if (response.data.success==false) {
                                toastError("Incorrect username or password");
                            } else {
                                console.log(response.data);
                                    toastSuceess("correct username or password");
                                    url = baseUrl + 'admin/dashboard';
                                    window.location = url;
                                
                            }
                        });
                        hideLoader();
                    }, 1000);

                } else if ($scope.username == null) {
                    toastError("Please fill username");
                    angular.element("#username").focus();
                } else if ($scope.password == null) {
                    toastError("Please fill password");
                    angular.element("#password").focus();
                }
                $scope.button_clicked_flag = false;
            }
        }
    });
});
