/*
* @Author: Nighil George
* @Date:   2017-12-01 16:27:59
* @Last Modified by:   Nighil George
* @Last Modified time: 2018-03-03 14:06:29
*/
/*
* @Author: Nighil George
* @Date:   2017-12-01 15:21:58
* @Last Modified by:   Nighil George
* @Last Modified time: 2017-12-01 15:50:29
*/
var quill = null;
adminApp.controller('productController', function ($scope, $http, $timeout, $q) {

//    var temp_dashboard = angular.element('#data-dashboard').val();
//    var data_dashboard = JSON.parse(temp_dashboard);
var data_types = JSON.parse(angular.element('#data-types').val());
var data_categories = JSON.parse(angular.element('#data-categories').val());
var data_packets = JSON.parse(angular.element('#data-packets').val());
    angular.extend($scope, {
//        dashboarddata: data_dashboard,  
        products: {},
        categories:data_categories,
        packets:data_packets,
        types:data_types,
        productname:{},
        productcategory:{},
        producttype:{},
        productdescription:{},
        save: function () {
            if ($scope.productname == "") {
                toastMessage('Please specify name !!');
            }  else {
                if($scope.productid!=null)
                {
                    var form=angular.element('#formProductEdit');
                    var data_save=form.serialize();
                    data_save=data_save+'&productId='+$scope.productid;
                    var description=angular.element('#productdescription').val();
                    var direction=angular.element('#directionofuse').val();
                }else{
                    var form = angular.element('#formProduct');
                    var data_save = form.serialize();
                    var description = quill.container.firstChild.innerHTML;
                    var direction=angular.element('#directionofuse').val();
                }
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: data_save + '&action=saveProduct&description='+description+'&direction='+direction,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Product added/Updated succesfully");
                            $('#myModal').modal('hide');
                            $scope.clearForm();
                        } else {
                            toastError('internal error occured');
                        }

                    });
                    hideLoader();
                }, 1000);
            }
        },
        /*
        * Edit modal
        */
        openModal: function(id){
            $scope.clearFields();
            $scope.productid=id;
            showLoader();
            $timeout(function(){
            $http({
                method:"POST",
                url:baseUrl+'admin/Dashboard/ajax',
                data:'action=getProductsById&productid='+id,
                headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                }).then(function successCallback(response){
                    if (response.data.success == true) {
                        
                         var productInfo = JSON.parse(response.data.productInfo);
                        $scope.productname=productInfo.name;
                        $scope.productdescription=productInfo.description;
                        $scope.directionofuse=productInfo.direction;
                        $scope.types=response.data.types;
                        $scope.categories=response.data.categories;
                        $scope.productPackets=response.data.packets;
                        $scope.productPacketsSelected=[];
                         angular.forEach($scope.productPackets, function(value, key){
                                     $scope.productPacketsSelected.push(value.packetSize);
                                 });
                        $timeout(function () {
                        $scope.productcategory=productInfo.category;
                        $scope.producttype=productInfo.type;
                    },500);
                        $('#myModal').modal('show');
                        console.log($scope.categories);
                    }else{
                        toastError("Error while fetching image details !!");
                    }

                });
                hideLoader();
            },1000);

        },
        clearFields:function(){
            $scope.productname="";
            $scope.prducttype="";
            $scope.productcategory="";
            $scope.prodcutdescription="";

        },
        /* 
         * fn to clear $ refreash form.
         */
        clearForm: function () {
            if(quill!=null){
                var editorLength = quill.getLength();
                quill.deleteText(0, editorLength);
            }
            $scope.productname = "";
            $scope.category="";
            $scope.type="";
            $scope.featured="";
            $scope.productPacketsSelected="";
            $scope.productPackets="";
            $http({
                method: 'POST',
                url: baseUrl + 'admin/Dashboard/ajax',
                data: '&action=getProducts',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {
                if (response.data.success == true) {
                    $scope.products = response.data.products;
                } else {
                    toastError('internal error occured');
                }

            });
        },

        /*
         * fn to show confirmation message for deletion.
         */
        confirmationMsg: function (id) {
            alertify.confirm('Delete', 'Do you want to delete this item', function () {
                $scope.delete(id);
            }
            , function () {
            });
        },

        /*
         * fn to delete content type.
         */
        delete: function (id) {
            if (!angular.isUndefined(id)) {
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: 'action=deleteProduct&id=' + id,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Product removed successfully");
                            $scope.clearForm();
                        } else {
                            toastError("Error !!");
                        }
                    });
                    hideLoader();
                }, 1000);
            }
        }

    });
});

$(document).ready(function (e) {
    quill = new Quill('#editor', {
        theme: 'snow'
    });
    quill = new Quill('#editoruse', {
        theme: 'snow'
    });
    $('[data-toggle="tooltip"]').tooltip();
});