<?php

/**
 * @Author: Nighil George
 * @Date:   2018-07-20 14:20:49
 * @Last Modified by:   Nighil George
 * @Last Modified time: 2019-02-25 15:28:33
 */
class Master extends AdminController {

    public function __construct() {
           parent::__construct();
        $this->load->model('Common');
    }


   public function Manufacturers() {

        $this->load->view('admin/layouts/header');
        $this->load->view('admin/manufacturers/index');
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function create Manufacturers
     * 
     * @param string
     * 
     * @return view 
     */

   public function CreateManufacturer() {
        $this->load->view('admin/layouts/header');
        $this->load->view('admin/manufacturers/create');
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function Edit Manufacturers
     * 
     * @param string
     * 
     * @return view 
     */

   public function EditManufacturer() {
        $url=$_SERVER['REQUEST_URI'];
        $data['id']=end((explode('/',$url)));
        $this->load->view('admin/layouts/header');
        $this->load->view('admin/manufacturers/create',$data);
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function save Manufacturers
     * 
     * @param string
     * 
     * @return view 
     */

   public function saveManufacture() {
        $data = $this->input->post();
        // var_dump($data);exit;

        $image = $_FILES['imageUrl']['name'];
        //handling image (converting to base64)
        if (!empty($image)) {
            $imageArray = $this->Common->uploadImage($_FILES);
            $data['imageUrl'] = $imageArray['imageUrl'];
            $data['thumbImage'] = $imageArray['thumbImage'];
            $data['imageDetails']=$imageArray['imageDetails'];
        } elseif(empty($data['id'])&&empty($image)) {
            $data['imageUrl'] = "";
            $data['thumbImage'] = "";
        }
        $response = json_decode($this->Common->callAPI(POST, 'manufacturer', $data));
        if($response)
            $this->Common->commonMessage(SUCCESS);
        else
            $this->Common->commonMessage(ERROR);
        redirect(base_url('admin/Manufacturers'));
    }
   
   public function Categories() {

        $this->load->view('admin/layouts/header');
        $this->load->view('admin/categories/index');
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function save Manufacturers
     * 
     * @param string
     * 
     * @return view 
     */

   public function saveBooking($data) {
        // $data = $this->input->post();
        // var_dump($data);exit;

     
        //handling image (converting to base64)
       
        $response = json_decode($this->Common->callAPI(POST, 'manufacturer', $data));
        if($response)
            $this->Common->commonMessage(SUCCESS);
        else
            $this->Common->commonMessage(ERROR);
        redirect(base_url('admin/Manufacturers'));
    }
   
   public function Categories() {

        $this->load->view('admin/layouts/header');
        $this->load->view('admin/categories/index');
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function create Category
     * 
     * @param string
     * 
     * @return view 
     */

   public function CreateCategory() {
        $this->load->view('admin/layouts/header');
        $this->load->view('admin/categories/create');
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function Edit Category
     * 
     * @param string
     * 
     * @return view 
     */

   public function EditCategory() {
        $url=$_SERVER['REQUEST_URI'];
        $data['id']=end((explode('/',$url)));
        $this->load->view('admin/layouts/header');
        $this->load->view('admin/categories/create',$data);
        $this->load->view('admin/layouts/footer');
    } 

    // Contents
   public function Content() {

       $this->load->view('admin/layouts/header');
        $this->load->view('admin/contentlist');
        $this->load->view('admin/layouts/footer');
    }
    
    // Registration
   public function Registration() {

       $this->load->view('admin/layouts/header');
        $this->load->view('admin/register');
        $this->load->view('admin/layouts/footer');
    } 
     // Meditation
   public function Meditation() {

       $this->load->view('admin/layouts/header');
        $this->load->view('admin/meditationlist');
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function create CreateContent
     * 
     * @param string
     * 
     * @return view 
     */

   public function CreateContent() {
    $this->load->view('admin/layouts/header');
        $this->load->view('admin/content');
        $this->load->view('admin/layouts/footer');
        
    }
   /*
     * Function create CreateMeditation
     * 
     * @param string
     * 
     * @return view 
     */

   public function CreateMeditation() {
    $this->load->view('admin/layouts/header');
        $this->load->view('admin/meditation');
        $this->load->view('admin/layouts/footer');
        
    }
    /*
     * Function Edit Category
     * 
     * @param string
     * 
     * @return view 
     */

   public function EditContent() {
        $url=$_SERVER['REQUEST_URI'];
        $data['id']=end((explode('/',$url)));
        $this->load->view('admin/layouts/header');
        $this->load->view('admin/content',$data);
        $this->load->view('admin/layouts/footer');
    }
    /*
     * Function save Category
     * 
     * @param string
     * 
     * @return view 
     */

   public function saveCategory() {
        $data = $this->input->post();
        // var_dump($data);exit;

        $image = $_FILES['imageUrl']['name'];
        //handling image (converting to base64)
        if (!empty($image)) {
            $imageArray = $this->Common->uploadImage($_FILES);
            $data['imageUrl'] = $imageArray['imageUrl'];
            $data['thumbImage'] = $imageArray['thumbImage'];
            $data['imageDetails']=$imageArray['imageDetails'];
        } elseif(empty($data['id'])&&empty($image)) {
            $data['imageUrl'] = "";
            $data['thumbImage'] = "";
        }
        $response = json_decode($this->Common->callAPI(POST, 'category', $data));
        if($response)
            $this->Common->commonMessage(SUCCESS);
        else
            $this->Common->commonMessage(ERROR);
        redirect(base_url('admin/Categories'));
    }
   /*
     * Function save Content
     * 
     * @param string
     * 
     * @return view 
     */
  public function saveContent() {

        $data = $this->input->post();
// var_dump($data);exit;
        $image = $_FILES['imageUrl']['name'];

        //handling image (converting to base64)
        if (!empty($image)) {
            $imageArray = $this->Common->uploadImage($_FILES);
            $data['imageUrl'] = $imageArray['imageUrl'];
            // $data['thumbImage'] = $imageArray['thumbImage'];
            $data['imageDetails']=$imageArray['imageDetails'];
        } elseif(empty($data['id'])&&empty($image)) {
            $data['imageUrl'] = "";
            $data['thumbImage'] = "";
        }
        $response = json_decode($this->Common->callAPI(POST, 'content', $data));
        // print '<pre>';
        // print_r($response);
        if($response)
            $this->Common->commonMessage(SUCCESS);
        else
          $this->Common->commonMessage(ERROR);
        redirect(base_url('admin/Content'));
    }
 /*
     * Function save Meditation
     * 
     * @param string
     * 
     * @return view 
     */
  public function saveMeditation() {

        $data = $this->input->post();
// var_dump($data);
        $image = $_FILES['imageUrl']['name'];
// var_dump($image);exit;
        //handling image (converting to base64)
        if (!empty($image)) {
            $imageArray = $this->Common->uploadImage($_FILES);
            $data['imageUrl'] = $imageArray['imageUrl'];
            // $data['thumbImage'] = $imageArray['thumbImage'];
            $data['imageDetails']=$imageArray['imageDetails'];
        } elseif(empty($data['id'])&&empty($image)) {
            $data['imageUrl'] = "";
           // $data['thumbImage'] = "";
        }
        // var_dump($data['imageUrl']);
        $response = json_decode($this->Common->callAPI(POST, 'Meditation', $data));
        // var_dump($response);exit;
        if($response)
            $this->Common->commonMessage(SUCCESS);
        else
          $this->Common->commonMessage(ERROR);
        redirect(base_url('admin/Meditation'));
    }



     public function ajax() {
        $data = $this->input->post();
        $action = $data["action"];
        switch ($action) {
    /*********************************
     * Common operations starts here
     * ******************************* */
            // Send Mail to  REciepients
            case 'SendMail':
                $data['type']="register";
                $data['field']='id';
                $response = json_decode($this->Common->callAPI(POST, 'sendMail', $data));
                echo json_encode($response);
                break;
                break;
            // Change  status
            case 'changeStatus':
                $data["table"]=$data['table'];
                $status=$data['status'];
                if($status==1)
                    $data["status"]=0;
                else
                    $data["status"]=1;
                $response = json_decode($this->Common->callAPI(POST, 'togglestatus', $data));
                echo json_encode($response);
                break;
            // Change multiple status
            case 'ChangeStatusMulti':
                $data["table"]=$data["table"];
                $status=$data['status'];
                $data['ids']=$data['multiids'];
                $response = json_decode($this->Common->callAPI(POST, 'togglestatusMulti', $data));
                echo json_encode($response);
                break;
            // removeImage 
            case 'removeImage':
                $data["table"]=$data["table"];
                $response = json_decode($this->Common->callAPI(POST, 'deleteimage', $data));
                echo json_encode($response);
                break;
            // Delete 
            case 'delete':
                $data["table"]=$data["table"];
                $response = json_decode($this->Common->callAPI(POST, 'softdelete', $data));
                echo json_encode($response);
                break;
            // Delete Multiple
            case 'deleteMulti':
                $data["table"]=$data["table"];
                $data['ids']=$data['multiids'];
                $response = json_decode($this->Common->callAPI(POST, 'softdeleteMulti', $data));
                echo json_encode($response);
                break;
            // get Details
            case 'get':
                $data['pageLimit'] = $data['pageLimit'];
                $data['offset'] = $data['offset'];
                $data['perPage'] = PER_PAGE;
                $data['table'] = $data['table'];
                $response = json_decode($this->Common->callAPI(POST, 'pagination', $data));
               
                $result = array(
                    'currentPage' => $response->pagination->currentPage,
                    'lastPage' => $response->pagination->lastPage,
                    'total'=>$response->pagination->total,
                    'pageData' => $response->pagination->pageData
                );
                echo json_encode($result);
                break;
            // Get One row
            case 'getrow':
                $data['table'] = $data['table'];
                $data['field']= 'id';
                $response = json_decode($this->Common->callAPI(POST, 'getrow', $data));
                echo json_encode($response);
                break;
    /*********************************
     * Common operations ends here
     * ******************************* */
            // Manufacturers

            case 'searchManufacturer':
                $data['perPage'] = PER_PAGE;
                $data['table'] = 'manufacturers';
                $data['field']= array('name');
                $data['operator']= 'like';
                // $data['connector']= 'or';
                $response = json_decode($this->Common->callAPI(POST, 'searchitem', $data));
                echo json_encode($response);
                break;
          
            // Categories
            case 'searchCategory':
                $data['perPage'] = PER_PAGE;
                $data['table'] = 'categories';
                $data['field']= array('name');
                $data['operator']= 'like';
                // $data['connector']= 'or';
                $response = json_decode($this->Common->callAPI(POST, 'searchitem', $data));
                echo json_encode($response);
                break;

            // Contents
                case 'getcontents':
                $data['perPage'] = PER_PAGE;
                // $data['connector']= 'or';
                $response = json_decode($this->Common->callAPI(POST, 'content/list', $data));
                echo json_encode($response);
                break;
// Contents
                case 'getRegistration':
                $data['perPage'] = PER_PAGE;
                // var_dump($data);exit;
                // $data['connector']= 'or';
                $response = json_decode($this->Common->callAPI(POST, 'Registration/list', $data));
                echo json_encode($response);
                break;

                case 'getMeditation':
                $data['perPage'] = PER_PAGE;
                // var_dump($data);exit;
                // $data['connector']= 'or';
                $response = json_decode($this->Common->callAPI(POST, 'Meditation/list', $data));
                // var_dump($response);exit;
                echo json_encode($response);
                break;

                 case "getType":
            $sendData['table']='meditation';
            $sendData['offset']=0;
            $sendData['perPage']=100;
            $sendData['key']='type';
            $sendData['value']=$data['contenttype'];
            $response=json_decode($this->Common->callAPI(POST, 'pagination/singlecondition', $sendData));
             echo json_encode($response);
                    break;

            
        }
    }
 
    
   
}