<?php

class MY_Model extends CI_Model {

    protected $_table_name = '';
    protected $_primary_key = 'id';
    protected $_primary_filter = 'intval';
    protected $_order_by = '';
    protected $_rules = array();
    protected $_timestamps = FALSE;

    function __construct() {
        parent::__construct();
    }

    public function get($id = NULL, $single = FALSE) {

        if ($id != NULL) {
            $filter = $this->_primary_filter;
            $id = $filter($id);
            $this->db->where($this->_primary_key, $id);
            $method = 'row';
        } elseif ($single == TRUE) {
            $method = 'row';
        } else {
            $method = 'result';
        }

//        if (!empty($this->_order_by)) {
//            if($this->_order_by=="position"){
//              $this->db->order_by($this->_order_by,'ASC');  
//          }else{
//              $this->db->order_by($this->_order_by,'DESC');  
//          }
//            
//        }
        return $this->db->get($this->_table_name)->$method();
    }
    // function to get meating session
       public function getShedules(){

            $query=$this->db->select('*')
                        ->from('sessions')
                        ->where('deleteStatus',1)
                        ->distinct()
                        ->get()->result_array();
            return $query;


        }// function to get meating session
       public function getBooking(){

            $query=$this->db->select('*')
                        ->from('bookings')
                         ->where('deleteStatus',1)
                        ->distinct()
                        ->get()->result();
            return $query;


        }
         /*
     * function getSessionForBookingById()
     * 
     * @param $contenttypeid
     * 
     * @return json
     */

    function getSessionForBookingById($data) {

        if (!empty($data)) {
           $query = $this->db->select('*')
                ->from('bookings')
                ->where('booking_date', $data)
                // ->order_by('id','desc')
                ->get();
        if (!empty($query)) {
            return $query->result_array();
        } else {
            return null;
        }
    }
}
 // function to get meating session
       // public function getShedulebyID($id){

       //      $query=$this->db->select('*')
       //                  ->from('sessions')
       //                 ->where('id',$id)
       //                  ->distinct()
       //                  ->get()->result();
       //      return $query;


       //  }

    public function getImage($id){
    $query=$this->db->select('image')
                    ->get($this->_table_name)->row()->image;
            if(!empty($query))
                return $query;
            else 
                return false;
    }

    public function getLastId(){
    $query=$this->db->select('max(id) as lastId')
                    ->get($this->_table_name)->row();
            if(!empty($query))
                return $query;
            else 
                return false;
        }

     public function getCount($where=NULL) {

        if ($where != NULL) {
            $this->db->where($where);
        }
        return $this->db->get($this->_table_name)->num_rows();
    }
    
    public function get_byPagination($iLimit=999,$iOffset=0,$select=NULL) {
        if (!empty($limit) || !empty($iOffset)) {
            $this->db->limitlimit($iLimit, $iOffset);
        }
        if(!empty($select)){
            $this->db->select($select);
        }
        return $this->get();
    }

    public function get_by($where, $single = FALSE,$select=NULL, $limit = NULL, $start = NULL) {
        $this->db->where($where);
        if (!empty($limit) || !empty($start)) {
            $this->db->limit($limit, $start);
        }
        if(!empty($select)){
            $this->db->select($select);
        }
        return $this->get(NULL, $single);
    }

    public function save($data, $id = NULL) {

        // Set timestamps
        if ($this->_timestamps == TRUE) {
            $now = date('Y-m-d H:i:s');
            $id || $data['created'] = $now;
            $data['modified'] = $now;
        }

        // Insert
        if ($id === NULL) {
            !isset($data[$this->_primary_key]) || $data[$this->_primary_key] = NULL;
            $this->db->set($data);
            $this->db->insert($this->_table_name);
            $id = $this->db->insert_id();
        }
        // Update
        else {
            $filter = $this->_primary_filter;
            $id = $filter($id);
            $this->db->set($data);
            $this->db->where($this->_primary_key, $id);
            $this->db->update($this->_table_name);
        }

        return $id;
    }

    public function delete($id) {
        $filter = $this->_primary_filter;
        $id = $filter($id);

        if (!$id) {
            return FALSE;
        }
        $this->db->where($this->_primary_key, $id);
        $this->db->limit(1);
        $this->db->delete($this->_table_name);
        return true;
    }
        /*
     * fn to delete 
     * param are tablename, primary key value,
     */

    function softdelete($table = null, $key = null,$value = null) {
            $query = DB::table($table)
                        ->when($value!=null, function($query) use ($key,$value) {
                           return  $query->where($key,$value); 
                        })
                        ->when($value==null, function($query) use ($key) {
                           return  $query->where('id',$key); 
                        })
                    ->update(['deleteStatus' =>0]);
            if (!empty($query)) {
                return $query;
            }
       
        return false;
    }

    public function messageData($type = NULL, $msg = NULL) {
        $data = array(
            'type' => $type,
            'message' => $msg
        );
        return $data;
    }

}
