<?php

defined('BASEPATH') OR exit('No direct script access allowed');

/* Copyright (C) Hawks Solutions  - All Rights Reserved 
 * 
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * 
 * Proprietary and confidential 
 * 
 * Written by Anuraj <anurajpr2266@gmail.com>, November 2017  */

class AdminController extends MY_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->library('pagination');
        $this->load->model('Common');
        $this->load->model('Products');
        $this->load->model('Sessions');
        $this->isUserAlive();
    }

    /*
     * Function isUserAlive
     * 
     * @param null
     * 
     * @return redirect
     */

    function isUserAlive() {
        $siteData = $this->session->userdata('siteData');
        if (empty($siteData) && count($siteData) == 0) {
            redirect('login', 'refresh');
        }
    }

}
