<div ng-app="adminApp" ng-controller="contentController" id="contentController">
    <div class="row" >
        <div class="col-lg-12">
            <h1 class="page-header">Page Content</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Form
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form role="form" id="contentForm">
                                <div class="form-group">
                                    <label>Content Type</label>
                                    <select class="form-control" ng-model="modelContentType" ng-change="ajaxChangeContentType()">
                                        <option value="">Select </option>
                                        <option ng-repeat="contenttype in contenttypes" value="{{contenttype.id}}">
                                            {{contenttype.content_type}} 
                                        </option>
                                    </select>
                                    <p class="help-block">Select a content type</p>
                                </div> 
                                <div class="panel panel-default" ng-show="tableShow">
                                    <div class="panel-heading">
                                        Contents
                                    </div>
                                    <!-- /.panel-heading -->                                    
                                        <div class="table-responsive">
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>                                                        
                                                        <th>Name</th>
                                                        <th>Content</th>
                                                        <th>Type</th>
                                                        <th>Created Date</th>
                                                        <th>Event Date</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr ng-repeat="content in contents">
                                                        <td>{{content.name}}</td>
                                                        <td>{{content.content}}</td>
                                                        <td>{{content.content_type}}</td>
                                                        <td>{{content.created_date | date:'M/d/yyyy'}}</td>
                                                        <td> 
                                                        {{content.end_date | date:'M/d/yyyy'}}</td>
                                                        <td>
                                                            <i class="fa fa-pencil-square" ng-click="editContent(content.contentId,$index);" aria-hidden="true" data-toggle="tooltip"  data-placement="bottom" title="Edit"></i>
                                                            <i class="fa fa-trash" ng-click="confirmationMsg(content.contentId,$index)" aria-hidden="true" data-toggle="tooltip"  data-placement="bottom" title="Delete"></i>
                                                        </td>                                                        
                                                    </tr>                               
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- /.table-responsive -->                                 
                                </div>
                                <div class="form-group" ng-show="editorShow">
                                    <label>Name</label>
                                    <input type="text" ng-model="contentName" name="contentName" class="form-control">
                                </div> <div class="form-group" ng-show="editorShow2">
                                    <label>content2</label>
                                    <input type="text" ng-model="contentName2" name="contentName2" class="form-control">
                                </div>
                                <div class="form-group" ng-show="editorShow">
                                    <label>Content</label>
                                    <div id="editor">                                        
                                    </div>
                                    <p class="help-block">Write content</p>
                                    <p class="help-block">Slider only show first 3 slides,Please update the first 3 slide content. Do not add more then 3 slide content it wont show  </p>
                                </div>  
                                <div class="form-group" ng-show="editorShow&&showEndDate">
                                    <!-- <label>Event Date</label> -->
                                    <!-- <input type="date" ng-model="endDate" name="endDate" class="form-control"> -->
                                </div>
                                <div class="pull-right" >
                                    <button type="button" ng-click="saveOrUpdateContent();" class="btn btn-success" ng-hide="content.id=='61'&& content.index>'2' && content.contentId=='0'">Update Content</button>                                
                                </div>
                            </form>
                        </div>                       
                    </div>
                    <!-- /.row (nested) -->
                </div>
                <!-- /.panel-body -->
            </div>
            <!-- /.panel -->
        </div>
        <!-- /.col-lg-12 -->
    </div>
    <input type="hidden" id="data-contentTypes" value="<?php echo htmlentities($contentTypes); ?>">
</div>
<!-- Custom angular  -->
<script src="<?php echo base_url('assets/js/angular/controller/contentController.js'); ?>"></script> 