    <!DOCTYPE html>
    <html lang="en">
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <meta name="description" content="<?php echo DESCRIPTION; ?>">
            <meta name="author" content="<?php echo AUTHOR; ?>">
            <title><?php echo TITLE; ?></title>
            <link href="<?php echo base_url('assets/images/fav.png'); ?>" rel="shortcut icon"/>
            <!-- Bootstrap Core CSS -->
            <link rel="stylesheet" href="<?php echo base_url('assets/css/bootstrap.min.css'); ?>">
            <!-- MetisMenu CSS -->
            <link rel="stylesheet" href="<?php echo base_url('assets/css/metisMenu.min.css'); ?>">
            <!-- Custom CSS -->
            <link rel="stylesheet" href="<?php echo base_url('assets/css/sbAdmin.min.css'); ?>">
            <!-- Custom Fonts -->
            <link rel="stylesheet" href="<?php echo base_url('assets/fonts/font-awesome/css/font-awesome.min.css'); ?>">
            
            <!-- Alertyfy css -->
            <link rel="stylesheet" href="<?php echo base_url('assets/css/alertify.min.css'); ?>">
            
            <!-- Alertyfy theme css -->
            <link rel="stylesheet" href="<?php echo base_url('assets/css/semantic.min.css'); ?>">
            
            <!-- Custom css -->
            <link rel="stylesheet" href="<?php echo base_url('assets/css/style.css'); ?>">
            <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
            <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
            <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
            <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
          <style type="text/css">
            .login-body-background{
            background: url('<?php echo base_url('assets/images/1.jpg'); ?>') no-repeat;
            background-size: cover;
            min-height: 100vh;
            }
            </style>
    </head>
    <body ng-app="loginApp" class="login-body-background">
        <div class="container" ng-controller="loginController">
            <div class="row">
                <div class="col-md-4 col-md-offset-4">
                    <div class="login-panel-top panel panel-default">
                         <div class="text-center logo-background">
                                <img src="<?php echo base_url('assets/images/logo.png'); ?>">
                         </div>
                        <div class="panel-body">
                            <form role="form" id="loginForm">
                                <fieldset>
                                    <div class="form-group">
                                        <input class="form-control" placeholder="Username" name="username" type="text" id="username" ng-model="username" autofocus required>
                                    </div>
                                    <div class="form-group">
                                        <input class="form-control" placeholder="Password" name="password" type="password" id="password" ng-model="password" value="" required>
                                    </div>
                                    <div class="checkbox">
                                        <label>
                                            <input name="remember" type="checkbox" value="Remember Me" ng-model="rembemberMe">Remember Me
                                        </label>
                                    </div>
                                    <!-- Change this to a button or input when using this as a form -->
                                    <a href="#" ng-click="button_clicked_flag || isAValidUser()" ng-disabled="button_clicked_flag" class="btn btn-lg btn-success btn-block">Login</a>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--Include site constants from server side as javascript -->
        <?php $this->load->view('javascript/javascript') ?>
        <!-- jQuery -->
        <script src="<?php echo base_url('assets/js/jquery.min.js'); ?>"></script>       

        <!-- Bootstrap Core JavaScript -->
        <script src="<?php echo base_url('assets/js/bootstrap.min.js'); ?>"></script> 
        
        <!-- angular Core JavaScript -->
        <script src="<?php echo base_url('assets/js/angular.min.js'); ?>"></script>
        
        <!-- Sha1 JavaScript -->
        <script src="<?php echo base_url('assets/js/sha1.js'); ?>"></script>
        
        <!-- alertfy JavaScript -->
        <script src="<?php echo base_url('assets/js/alertify.min.js'); ?>"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="<?php echo base_url('assets/js/metisMenu.min.js'); ?>"></script>        

        <!-- common javascript functions -->
        <script src="<?php echo base_url('assets/js/common.js'); ?>"></script> 
        
        <!-- Custom Theme JavaScript -->
        <script src="<?php echo base_url('assets/js/sb-admin-2.min.js'); ?>"></script>
        
        <!-- Custom angular  -->
        <script src="<?php echo base_url('assets/js/angular/app.js'); ?>"></script>
        
        <!-- Custom angular  -->
        <script src="<?php echo base_url('assets/js/angular/controller/loginController.js'); ?>"></script>        
    </body>

</html>
