/*
* @Author: Nighil George
* @Date:   2017-12-01 12:36:59
* @Last Modified by:   Nighil George
* @Last Modified time: 2018-02-17 16:30:15
*/
adminApp.controller('categoryController', function ($scope, $http, $timeout, $q) {

//    var temp_dashboard = angular.element('#data-dashboard').val();
//    var data_dashboard = JSON.parse(temp_dashboard);

    angular.extend($scope, {
//        dashboarddata: data_dashboard,  
        catgeories: {},

        save: function () {
            if ($scope.category == "") {
                toastMessage('Please specify category !!');
            }  else {
                if($scope.categoryid!=null){
                var form = angular.element('#formcategoryEdit');
                var data_save = form.serialize();
                data_save=data_save+'&categoryId='+$scope.categoryid;
                }else{
                var form = angular.element('#formcategory');
                var data_save = form.serialize();
                }
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: data_save + '&action=savecategory',
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Category added succesfully");
                            $scope.clearForm();
                        } else {
                            toastError('internal error occured');
                        }

                    });
                    hideLoader();
                }, 1000);
            }
        },

        /* 
         * fn to clear $ refreash form.
         */
        clearForm: function () {
            $scope.category = "";
            $('#myModal').modal('hide');
            $http({
                method: 'POST',
                url: baseUrl + 'admin/Dashboard/ajax',
                data: '&action=getCategories',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {
                if (response.data.success == true) {
                    $scope.categories = response.data.categories;
                } else {
                    toastError('internal error occured');
                }

            });
        }, /*
        * Edit modal
        */
        openModal: function(id){
            $scope.categoryid=id;
            showLoader();
            $timeout(function(){
            $http({
                method:"POST",
                url:baseUrl+'admin/Dashboard/ajax',
                data:'action=getCategoryById&id='+id,
                headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                }).then(function successCallback(response){
                    console.log(response.data.category);
                    if (response.data.success == true) {
                        $scope.category=response.data.category.category;
                        $scope.bgchangable=response.data.category.bgchangable;
                       $('#myModal').modal('show');
                      console.log($scope.category);
                    }else{
                        toastError("Error while fetching details !!");
                    }

                });
                hideLoader();
            },500);

        },

        /*
         * fn to show confirmation message for deletion.
         */
        confirmationMsg: function (id) {
            alertify.confirm('Delete', 'Do you want to delete this item', function () {
                $scope.delete(id);
            }
            , function () {
            });
        },

        /*
         * fn to delete content type.
         */
        delete: function (id) {
            if (!angular.isUndefined(id)) {
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: 'action=deleteCategory&id=' + id,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Category removed successfully");
                            $scope.clearForm();
                        } else {
                            toastError("Error !!");
                        }
                    });
                    hideLoader();
                }, 1000);
            }
        }

    });
});

