/*
* @Author: Nighil George
* @Date:   2017-12-01 15:21:58
* @Last Modified by:   Nighil George
* @Last Modified time: 2017-12-01 15:50:29
*/
adminApp.controller('typeController', function ($scope, $http, $timeout, $q) {

//    var temp_dashboard = angular.element('#data-dashboard').val();
//    var data_dashboard = JSON.parse(temp_dashboard);

    angular.extend($scope, {
//        dashboarddata: data_dashboard,  
        types: {},

        save: function () {
            if ($scope.type == "") {
                toastMessage('Please specify type !!');
            }  else {
                var form = angular.element('#formtype');
                var data_save = form.serialize();
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: data_save + '&action=saveType',
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Type added succesfully");
                            $scope.clearForm();
                        } else {
                            toastError('internal error occured');
                        }

                    });
                    hideLoader();
                }, 1000);
            }
        },

        /* 
         * fn to clear $ refreash form.
         */
        clearForm: function () {
            $scope.type = "";
            $http({
                method: 'POST',
                url: baseUrl + 'admin/Dashboard/ajax',
                data: '&action=getTypes',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {
                if (response.data.success == true) {
                    $scope.types = response.data.types;
                } else {
                    toastError('internal error occured');
                }

            });
        },

        /*
         * fn to show confirmation message for deletion.
         */
        confirmationMsg: function (id) {
            alertify.confirm('Delete', 'Do you want to delete this item', function () {
                $scope.delete(id);
            }
            , function () {
            });
        },

        /*
         * fn to delete content type.
         */
        delete: function (id) {
            if (!angular.isUndefined(id)) {
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: 'action=deleteType&id=' + id,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Type removed successfully");
                            $scope.clearForm();
                        } else {
                            toastError("Error !!");
                        }
                    });
                    hideLoader();
                }, 1000);
            }
        }

    });
});

