/* 
 * Copyright (C) Hawks Solutions  - All Rights Reserved 
 * 
 * Unauthorized copying of this file, via any medium is strictly prohibited 
 * 
 * Proprietary and confidential 
 * 
 * Written by Anuraj <anurajpr2266@gmail.com>, September 2017  
 */

/*
 * UploadController 
 */

adminApp.controller('uploadController', function ($scope, $http, $timeout) {


    // var data_images = JSON.parse(angular.element('#imagesJson').val());

    angular.extend($scope, {
//        dashboarddata: data_dashboard, 
        currentDate: "undefined",
        // images: data_images,
        imageid: {},
        imageids: {},
        imgName: {},
        contentArray: [],
        subContentView: {},
        subtypes: {},
        benefits:{},
        imageView: {},
        subType:0,
        imgType:0,
        getImagesbyDate: function () {
            $scope.images=null;
            $http({
                method: 'POST',
                url: baseUrl + 'admin/uploads/ajax',
                data: 'action=getImagesByDate&currentDate=' + $scope.currentDate,
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {
                if (response.data.length > 0) {
                    $scope.images = response.data;
                    $scope.imageView = true;
                } else {
                    toastError("No image found !!");
                    $scope.imageView = false;
                }
            });
        },
        // Get all images
        getImages: function () {
            $scope.multistatus='default';
            $scope.assignto='default';
            $scope.images=null;
            $http({
                method: 'POST',
                url: baseUrl + 'admin/uploads/ajax',
                data: 'action=getImages',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {
                if (response.data.length > 0) {
                    $scope.images = response.data;
                  
                    $scope.imageView = true;
                } else {
                    toastError("No image found !!");
                    $scope.imageView = false;
                }
            });
        },

        paginate:function(page){
              if (angular.isUndefined(page)) {
                page = 0;
            }
            $http({
                method: 'POST',
                url: baseUrl + 'admin/Dashboard/paginateTable',
                data: 'model=Upload&page=' + page+'&fulldata='+$scope.dataPaginate,
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {
                $scope.crntPage = response.data.current_page;
                $scope.lstPage = response.data.last_page;
                $scope.pagedata_count = response.data.pagedata_count;
                $scope.images = response.data.current_page_data;
                var pages = [];//array that contain number of pages.
                for (var i = 0; i < response.data.last_page; i++) {
                    pages[i] = i + 1;
                }
                $scope.pages = pages.filter(Number);
                // alert($scope.pages);
            });
        },
       
        // Function to assign seleted images
        multiOperations:function(){
            var operation=$scope.withselected;
            $scope.multistatus='default';
            $scope.assignto='default';
            $scope.images=null;
            showLoader();
            $timeout(function () {
                $http({
                    method: 'POST',
                    url: baseUrl + 'admin/uploads/ajax',
                    data: 'action=getImagesById',
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }
                }).then(function successCallback(response) {
                    if (response.data.success == true) {
                        $scope.contentArray = response.data.contents;
                        $scope.types = response.data.contentTypes;
                        $scope.images=response.data.images;
                        // $scope.works=response.data.works;
                        $timeout(function () {
                           // $scope.subtypes = $scope.contentArray[imgInfo[0].contentTypeId];
                            $timeout(function () {
                                // if (imgInfo[0].contentId != 0) {
                                //     $scope.subContentView = true;
                                //     $scope.subType = imgInfo[0].contentId;
                                // } else {
                                    $scope.subContentView = false;
                                    $scope.dataPaginate=$scope.images;
                                    $scope.paginate(0);
                                // }
                            }, 100);
                        }, 100);
                      
                    } else {
                        toastError("Error while fetching image details !!");
                    }
                });
                hideLoader();
            }, 1000);
            if(operation=="Manipulate"){
                            showLoader();
            $timeout(function () {
                $http({
                    method: 'POST',
                    url: baseUrl + 'admin/uploads/ajax',
                    data: 'action=getImagesById',
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }
                }).then(function successCallback(response) {
                    if (response.data.success == true) {
                        $scope.contentArray = response.data.contents;
                        $scope.types = response.data.contentTypes;
                        $scope.producttypes=response.data.producttypes;
                        $scope.works=response.data.works;
                        $timeout(function () {
                           // $scope.subtypes = $scope.contentArray[imgInfo[0].contentTypeId];
                            $timeout(function () {
                                // if (imgInfo[0].contentId != 0) {
                                //     $scope.subContentView = true;
                                //     $scope.subType = imgInfo[0].contentId;
                                // } else {
                                //     $scope.subContentView = false;
                                // }
                            }, 100);
                        }, 100);
                       // $('#myModalMulti').modal('show');
                    } else {
                        toastError("Error while fetching image details !!");
                    }
                });
                hideLoader();
            }, 1000);
            
            }
        },
       
        // Funtion to manipualte multi images
        // argument array of ids
        openModalMulti:function(){
            $('#myModalMulti').modal('show');
        },
        /*fn to open image modal.
         * argument is image-id.
         */
        openMadal: function (id) {
            $scope.benefitView=false;
            $scope.clearInputFields();
            $scope.imageid = id;
            showLoader();
            $timeout(function () {
                $http({
                    method: 'POST',
                    url: baseUrl + 'admin/uploads/ajax',
                    data: 'action=getImagesById&imageId=' + id,
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }
                }).then(function successCallback(response) {
                    if (response.data.success == true) {
                        $scope.contentArray = response.data.contents;
                        var imgInfo = JSON.parse(response.data.imageInfo);
                        $scope.thumbPath = imgInfo[0].thumb_path;
                        $scope.imgName = imgInfo[0].file_name;
                        $scope.imgSize = imgInfo[0].file_size;
                        $scope.imgHeight = imgInfo[0].image_height;
                        $scope.imgWidth = imgInfo[0].image_width;
                        $scope.imgExt = imgInfo[0].file_ext;
                        $scope.imgCreated = imgInfo[0].created_date;
                        $scope.imgPath = imgInfo[0].path;
                        $scope.imgcap = imgInfo[0].caption;
                        $scope.imgdes = imgInfo[0].description;
                        $scope.types = response.data.contentTypes;
                        $scope.producttypes=response.data.producttypes;
                        $scope.works=response.data.works;
                        $timeout(function () {
                            $scope.imgType = imgInfo[0].contentTypeId;
                            $scope.subtypes = $scope.contentArray[imgInfo[0].contentTypeId];
                            $timeout(function () {
                                if (imgInfo[0].contentId != 0) {
                                    $scope.subContentView = true;
                                    $scope.subType = imgInfo[0].contentId;
                                } else {
                                    $scope.subContentView = false;
                                }
                            }, 100);
                        }, 100);
                        $('#myModal').modal('show');
                    } else {
                        toastError("Error while fetching image details !!");
                    }
                });
                hideLoader();
            }, 1000);
        },

        /*fn to update image properties
         * 
         */
        saveImageProperties: function () {
            
            if ($scope.imgcap == null) {
                $scope.imgcap = "";
            }
            if ($scope.imgdes == null) {
                $scope.imgdes = "";
            }
           
            showLoader();
             $timeout(function () {
             var type=angular.element('#imgType').val();
             var contentimage=$scope.producttypesselect;
            
                $http({
                    method: 'POST',
                    url: baseUrl + 'admin/uploads/ajax',
                    data: 'action=saveImageProperties&imageId=' + $scope.imageid + '&caption=' + $scope.imgcap + '&description=' + $scope.imgdes + '&type=' + $('#imgType').val() + '&height=' + $scope.imgHeight + '&width=' + $scope.imgWidth + '&subType=' + $scope.subType,
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }
                }).then(function successCallback(response) {
                    if (response.data.success == true) {
                        toastSuceess("Image property changed");
                        $('#myModal').modal('hide');
                    } else if (response.data.success == false) {
                        toastMessage("Only images with an height of " + response.data.height + "  px and width of " + response.data.width + " px can be added as " + response.data.imageType);
                    } else if (response.data.selection == false) {
                        toastMessage("No input found !!");
                    } else {
                        toastError("Error somthing went rong !!");
                    }
                });
            
                hideLoader();
            }, 1000);

        },

        /*fn to clear the input fields in the modal.
         * 
         */
        clearInputFields: function () {
            $scope.imgcap = "";
            $scope.imgdes = "";
            $scope.imgType = "";
            $scope.subType = "";
            $scope.ProductimageTypes="";
            $scope.producttypesselect="";
        },

        /*
         * fn to display sub contents of a particular content type in drop down.
         * param is content type id.
         */
        subContents: function (typeId) {
                $scope.subContentView = true;
                showLoader();
                $timeout(function(){
                    $http({
                        method:'POST',
                        url:baseUrl+'admin/Uploads/ajax',
                        data:'action=getSubcontents&type='+typeId,
                        headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }

                    }).then(function successCallback(response){

                        if(response.data.success==true){
                            $scope.subContentView = true;
                             $scope.subcontents=response.data.subcontents;
                             $scope.subType=0;
                        }else{
                              toastError("Error sub content !!");
                        }
                    });

                    hideLoader();
                },1000);
            
          if (!angular.isUndefined($scope.contentArray[typeId])) {
                $scope.subContentView = true;
                $scope.subtypes = $scope.contentArray[typeId];
            } else {
                $scope.subContentView = false;
                $scope.subType = "";
            }
        },
        /*
        * Fn to get benefits of product
        * params productid,contenttypeid
        */
        getBenefits:function(productId){
            var contentId=angular.element('#imgType').val();
            if((contentId==51)&&(productId!=null))
            {
                $scope.benefitView = true;
                showLoader();
                $timeout(function(){
                    $http({
                        method:'POST',
                        url:baseUrl+'admin/Uploads/ajax',
                        data:'action=getBenefits&productId='+productId,
                        headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }

                    }).then(function successCallback(response){

                        if(response.data.success==true){
                             $scope.benefits=response.data.contents;
                        }else{
                              toastError("Error get benefits !!");
                        }
                    });

                    hideLoader();
                },1000);
            }

        },
        /*
         * fn to delete the image.
         * param is image-id.
         */
        deleteImage: function (imgId) {
            
            if (!angular.isUndefined(imgId)) {
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/uploads/ajax',
                        data: 'action=removeImage&imageId=' + imgId,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Image removed successfully");
                        } else {
                            toastError("Error deleting data !!");
                        }
                        if ($scope.currentDate != 'undefined') {
                            $scope.searchImagesByDate();
                        } else {
                            $timeout(function () {
                                $scope.getImages();
                                hideLoader();
                            }, 1100);
                        }
                    });
                    hideLoader();
                }, 1100);
            }
        },

        /*
         * fn to delete Multiple image.
         * param - none.
         */
        deleteMultiImage: function () {
            var form = angular.element('#imgform');
            var data_save = form.serialize();
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/uploads/ajax',
                        data: data_save + '&action=removeImages',
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastSuceess("Images removed successfully");
                        } else {
                           toastSuceess("Images removed successfully");
                        }
                       
                            $timeout(function () {
                                $scope.getImages();
                                // $scope.multiOperations();
                                hideLoader();
                            }, 1000);
                        
                    });
                    hideLoader();
                }, 1000);
           
        },

        /*
         * fn to fetch images of a particular date.
         * param is date.
         */
        searchImagesByDate: function () {
            if ($scope.currentDate == "undefined") {
                toastMessage("Please select a date first !!");
            } else {
                showLoader();
                $timeout(function () {
                    $scope.getImagesbyDate();
                    hideLoader();
                }, 1000);
            }
        },

        /*
         * fn to change the status of the image.
         * param is image-id, status & index.
         */
        ChangeStatus: function (imgId, status, index) {
//            alert(imgId);
            if (!angular.isUndefined(imgId) && !angular.isUndefined(status)) {
                var stat = {};
                if (status == 'active') {
                    stat = 'inactive';
                } else {
                    stat = 'active';
                }
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/uploads/ajax',
                        data: 'action=change_status&imageId=' + imgId + '&status=' + stat,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastMessage("Image status changed to " + response.data.status);
                            if (response.data.status == 'active') {
                                $('#imgStatus_' + imgId).prop('checked', true);
                                $scope.images[index].status = 'active';
                            } else {
                                $('#imgStatus_' + imgId).prop('checked', false);
                                $scope.images[index].status = 'inactive';
                            }
                        } else {
                            toastError("Error change status !!");
                        }
                    });
                    hideLoader();
                }, 1000);
            }
        },


        /*
         * fn to change the status of the multiple imagea.
         * param is image-id, status & index.
         */
        ChangeStatusMulti: function () {
                var form = angular.element('#imgform');
                var data_save = form.serialize();
                var status=angular.element('#multistatus').val();
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/uploads/ajax',
                         data: data_save + '&action=change_status_multi&status='+status,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastMessage("Images status changed to "+status);
                           
                        } else {
                            toastError("Error change multi !!");
                        }
                         $timeout(function () {
                                $scope.getImages();
                                // $scope.multiOperations();
                                hideLoader();
                            }, 1000);
                    });
                    hideLoader();
                }, 1000);
            
        },

        /*
         * fn to assign multiple images.
         * param is ids,type.
         */
        assigntoMulti: function () {
                var form = angular.element('#imgform');
                var data_save = form.serialize();
                var assign=angular.element('#assignto').val();
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/uploads/ajax',
                         data: data_save + '&action=assignto&assign='+assign,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            toastMessage("Images Assigned ");
                           
                        } else {
                            toastError("Error asign multi !!");
                        }
                         $timeout(function () {
                                $scope.getImages();
                                // $scope.multiOperations();
                                hideLoader();
                            }, 1000);
                    });
                    hideLoader();
                }, 1000);
            
        },
        /*
         * fn to check if the image is active or not.
         * param is image-id and status.
         */
        checkStatus: function (imgId, status) {
            if (status == 'active') {
                $('#imagedis_' + imgId).removeClass('image-poacity');
                return true;
            } else {
                $('#imagedis_' + imgId).addClass('image-poacity');
                return false;
            }
        },

        /*
         * fn to show confirmation message for deletion.
         */
        confirmationMessage: function (imgId) {
            alertify.confirm('Delete', 'Do you want to delete this item', function () {
                $scope.deleteImage(imgId);
            }
            , function () {
            });
        }, /*
         * fn to show confirmation message for multiple deletion.
         */
        confirmationMessageMulti: function () {
             
            alertify.confirm('Delete', 'Do you want to delete this item ', function () {
                $scope.deleteMultiImage();
            }
            , function () {
            });
        },

    });
});

$(document).ready(function (e) {
    var myDropzone = Dropzone.forElement("#my-awesome-dropzone");
    myDropzone.on("addedfile", function (file) {
        toastMessage(file.name + " added to uploading queue");
    });
    myDropzone.on("complete", function (file) {
        setTimeout(function () {
            myDropzone.removeFile(file);
            if (file.accepted) {
                toastSuceess(file.name + " uploaded suceessfully");
            } else {
                toastError("Error while uploading " + file.name);
            }
        }, 1000);

    });

    myDropzone.on("queuecomplete", function (file) {
        $('#uploadController').scope().getImagesbyDate();
        $('#uploadController').scope().$apply()
        //$('#uploadController').scope().$apply();
    });


});
